package com.qmth.teachcloud.report.business.bean.result;

import io.swagger.annotations.ApiModelProperty;

import java.io.Serializable;

/**
 * @Description: ExamRecordResult
 * @Param:
 * @return:
 * @Author: wangliang
 * @Date: 2021/6/10
 */
public class ExamCourseResult implements Serializable {

    @ApiModelProperty(value = "考试时间")
    private String examTime;

    @ApiModelProperty(value = "课程名称")
    private String courseName;

    @ApiModelProperty(value = "试卷满分")
    private Double totalScore;

    @ApiModelProperty(value = "全校实考人数")
    private Integer realityCount;

    @ApiModelProperty(value = "考查学院数量")
    private Integer inspectCollegeCount;

    @ApiModelProperty(value = "缺考人数")
    private Integer absentCount;

    @ApiModelProperty(value = "开课学院")
    private String teachCollegeName;

    @ApiModelProperty(value = "考查学院")
    private String inspectCollegeName;

    public String getExamTime() {
        return examTime;
    }

    public void setExamTime(String examTime) {
        this.examTime = examTime;
    }

    public String getCourseName() {
        return courseName;
    }

    public void setCourseName(String courseName) {
        this.courseName = courseName;
    }

    public Double getTotalScore() {
        return totalScore;
    }

    public void setTotalScore(Double totalScore) {
        this.totalScore = totalScore;
    }

    public Integer getRealityCount() {
        return realityCount;
    }

    public void setRealityCount(Integer realityCount) {
        this.realityCount = realityCount;
    }

    public Integer getInspectCollegeCount() {
        return inspectCollegeCount;
    }

    public void setInspectCollegeCount(Integer inspectCollegeCount) {
        this.inspectCollegeCount = inspectCollegeCount;
    }

    public Integer getAbsentCount() {
        return absentCount;
    }

    public void setAbsentCount(Integer absentCount) {
        this.absentCount = absentCount;
    }

    public String getTeachCollegeName() {
        return teachCollegeName;
    }

    public void setTeachCollegeName(String teachCollegeName) {
        this.teachCollegeName = teachCollegeName;
    }

    public String getInspectCollegeName() {
        return inspectCollegeName;
    }

    public void setInspectCollegeName(String inspectCollegeName) {
        this.inspectCollegeName = inspectCollegeName;
    }
}
